import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
export declare class ToolbarChipButtonElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        ariaLabel: {
            type: StringConstructor;
            attribute: string;
        };
        tooltip: {
            type: StringConstructor;
            attribute: string;
        };
        ariaHasPopup: {
            type: StringConstructor;
            attribute: string;
        };
    };
    accessor ariaLabel: string;
    accessor tooltip: string;
    accessor ariaHasPopup: string | null;
    focus(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'toolbar-chip-button': ToolbarChipButtonElement;
    }
}
